Skip to main content
`Ctrl`+`K`

# PetscSFCreateInverseSF

given a `PetscSF` in which all vertices have degree 1, creates the inverse map

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateInverseSF(PetscSF sf, PetscSF *isf)

Collective

## Input Parameter

- sf - star forest to invert

## Output Parameter

- isf - inverse of `sf`

## Notes

All roots must have degree 1.

The local space may be a permutation, but cannot be sparse.

## See Also

`PetscSF`, `PetscSFType`, `PetscSFSetGraph()`

## Level

advanced

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/vec/is/sf/tutorials/ex1.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages